---
title: Save deleted files to the Recycle Bin
description: A simple guide on how to save and restore deleted files via smb/samba
published: true
date: 2023-06-27T07:54:18.672Z
tags: linux, server, unraid, backup
editor: markdown
dateCreated: 2023-06-27T07:54:18.672Z
---

# Save deleted files to the Recycle Bin

This guide will show you how to save deleted files to the Recycle Bin on Unraid. _Tested on Unraid 6.12.1_

## Get Started

- Begin by installing the [Recycle Bin plugin](https://forums.unraid.net/topic/41044-recycle-bin-vfs-recycle-for-smb-shares/).
- We now need to enable the plugin. Go to `Settings > User Utilities > Recycle Bin`.
- Now we can configure the plugin. I have used the following settings:

```bash
Enable Recycle Bin > Yes
Hide Recycle Bin Folder > No
Update Recycle Bin Size in Background > Yes
Enable on Unassigned Devices? > No
Recycle Bin parameters > %m/%S
Recycle Bin permission > Default
Excluded Files > Empty
Excluded Directories > This is where you can exclude directories from the Recycle Bin. For example: /mnt/user/Storage/Backups/
Excluded Shares > You can put any share name that you want to exclude. Example: Plex-Media,Backups
Age Days > 7 (This is how long the files will stay in the Recycle Bin before being deleted)
Remove Aged Files on Schedule? > Weekly
Remove Aged Files Notification? > Yes
Log Deleted Files? > No
```

- Click `Apply` to save the settings.

## Finished

The Recycle Bin is now enabled and ready to use. You can test it by deleting a file from a share and then checking the Recycle Bin folder.

## Extra

This wont work for files deleted via the cli or the Unraid webui. This will only work for files deleted over smb/samba.
